Subject: Strange Behavior (core dumped) of FvwmButtons

From: [email-masked]
Date: Fri, 26 Feb 1999 00:34:49 -0600 (CST)

Full_Name: Guangyong Xu
Version: 2.2
CVS_Date: 
OS: Linux-2.0.36
X_Server: XFree86-3.3.2
Submission from: (NULL) (207.172.195.149)

Hi, I've seen quite a few messages concerning the strange behavior of
FvwmButtons. 
Mine is quite interesting and I really cann't figure out what makes the
difference
here (when it worked or failed):
I have a ButtonPanel in my FvwmButtons:

*FvwmButtonsPanel Chinese							
*FvwmButtonsGeometry +0+0							
*FvwmButtonsRows 1								
*FvwmButtonsBack #d6d5fe							
*FvwmButtonsFore red
*FvwmButtonsFont -adobe-helvetica-bold-r-*-*-13-*-*-*-*-*-*-*
#*FvwmButtonsFont -hku-fixed-medium-r-normal--0-0-72-72-c-0-big5.et-0
#*FvwmButtonsPixmap pattern14.xpm
*FvwmButtonsPixmap blue1.xpm

*FvwmButtons(Title GB,Icon gb.xpm, Action  `Exec cxterm -name cxterm -T
"CXterm (GB)" &`)
*FvwmButtons(Title Big5,Icon b5.xpm, Action  `Exec /usr/local/bin/cxterm
-name cxtermb5 -T "CXterm (BIG5)" &`) 
*FvwmButtons(Title HZ,Icon hz.xpm, Action `Exec /usr/local/bin/cxterm -name
cxterm  -T "CXterm (HZ)" -e /usr/local/bin/hztty &`) 

This caused FvwmButtons to dump core. I have located the problem to be at
the last 
setence (if I comment it out, FvwmButtons worked). Now, the strange thing
is,
if I change the last setence to :
*FvwmButtons(Title HZ,Icon hz.xpm, Action `Exec cxterm -name cxterm  -T
"CXterm (HZ)" -e /usr/local/bin/hztty &`) 
just getting rid of the absolute path "/usr/local/bin", it would work!!!
Anyone has an idea why?

Best wishes,

Guangyong Xu

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]